# confluent.io Cookbook
This cookbook is using the confluent `rpm` and `deb` repositories to install the `confluent-platform` package. It will create a user `confluent` and init scripts for `kafka` and `zookeeper`.  

## Recipe
It comes with one recipe: `confluent-cookbook::default`.

## Kafka and ZooKeeper configuration
Instead of maintaing configuration templates, chef configuration properties will be added to `server.properties` and `zookeeper.properties` files.

Example Kafka:
```ruby
default["confluent"]["kafka"]["server.properties"]["broker.id"] = "0"
default["confluent"]["kafka"]["server.properties"]["port"] = "9092"
...
```
will look like this in the `/etc/kafka/server.properties`
```
broker.id=0
port=9092
...
```

Example ZooKeeper:
```ruby
default["confluent"]["kafka"]["zookeeper.properties"]["dataDir"] = "/tmp/zookeeper"
default["confluent"]["kafka"]["zookeeper.properties"]["clientPort"] = "2181"
...
```

will look like this in the `/etc/kafka/zookeeper.properties`
```
dataDir=/tmp/zookeeper
clientPort=2181
...
```

## Other `confluent-platform` configurations
Right now only Kafka and ZooKeeper can be configured. This will probably change since it is "work in progress".

## Vagrant
In order to be able to run vagrant you need to run `berks init` and you have to install `vagrant-berkshelf` via `vagrant plugin install vagrant-berkshelf`. Afterwards run `vagrant up`.

## Supported OS Distributions
Right now it has been tested with:
 - CentOS 6.5
 - Ubuntu 14.04 (where it seems to hang sometimes during installation)

## JRE
You need to install your desired JRE yourself, see `Vagrantfile` as an example.

## Build
At some point this project might have a travis build job.
